<template>
  <div style="width: 100%; padding: 0; margin: auto; box-shadow: 1px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">
    <div> <h5 class="text-weight-bolder" style="margin: 30px 20px 30px 30px" >Detail Jasa</h5></div>
    <div style="width: 100%">
      <div style="text-align: center; ">
        <div class="caption vertical-center text-left" style="margin: 30px 30px 30px 30px">
          <q-img :src="product.main_image" v-if="product.main_image != ''" />
          <q-img src="~assets/no_photo.png" v-else />
        </div>
      </div>
      <div>
        <div style="text-align: center">
          <h5 style="margin: 10px 30px 10px 30px; text-align: center" >{{ product.name_product }}</h5>
        </div>
        <div class="row justify-center">
          <p class="text-weight-bolder"  v-if="!product.price_prone_flag" style="font-size: 15px; margin-top: 5px; color:orange">Rp. {{product.price}} </p>
          <p class="text-weight-bolder"  v-if="product.price_prone_flag" style="font-size: 15px; margin-top: 5px; color:orange">Rp. {{ product.starting_price }} - {{ product.final_price }} </p>
          <p class="text-weight-bolder" style="font-size: 20px; margin: 0px 5px 0px 10px" >|</p>
          <p class="text-weight-bolder" style="font-size: 15px; margin-top: 5px">{{ (product.owner) ? product.owner.name : "JARKONS" }}</p>
          <p class="text-weight-bolder" style="font-size: 20px; margin: 0px 5px 0px 10px" >|</p>
          <q-icon name="location_on" style="font-size: 1  5px; margin-top: 5px"></q-icon>
          <p class="text-weight-bolder" style="font-size: 15px; margin-top: 5px">{{ (product.address.kota) ? product.address.kota.name : "Indonesia" }}</p>
        </div>
        <div style="margin: 30px 30px 50px 30px; text-align: center">
          <p style="margin-bottom: 40px">{{ product.desc_product }}</p>
          <q-btn size="15px" type="a" :to="'/product/hire/' + product.id" color="blue" label="Ajak Dalam Proyek" />
        </div>
      </div>
    </div>


    <div class="col-md-12" style="width: 90%; padding: 0; margin-left: auto; margin-right: auto; margin-top: 100px; box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50" >
      <div style="width: 100%; padding: 0;"  class="q-pa-md">
        <div class="q-gutter-y-md" style="width: 100%">
          <q-card>
            <q-tabs
              v-model="tab"
              dense
              class="text-grey"
              active-color="green"
              indicator-color="green"
              align="justify"
              narrow-indicator
            >
              <q-tab name="Portofolio" label="Portofolio" />
              <q-tab name="Referensi" label="Referensi" />
              <q-tab name="Sertifikat" label="Sertifikat" />
            </q-tabs>
            <q-separator />

            <q-tab-panels v-model="tab" animated >

              <q-tab-panel name="Portofolio">
                <q-form
                  class="q-gutter-md"
                >

                  <div class="q-pa-md" style="width: 95%; padding: 0; margin-left: auto; margin-right: auto; margin-top: 30px; box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #c2c2c2" v-for="portofolio in product.portofolio" >
                    <p style="margin-bottom: 0px">.</p>
                    <h6 class="text-weight-bolder" style="margin: 0px 10px 0px 30px"> {{ portofolio.project_name }}</h6>
                    <div class="row" style="margin: 0px 10px 10px 30px">
                      <p  style="margin-top: 5px;">{{  portofolio.company_name }}</p>
                      <p  style="font-size: 20px; margin: 0px 20px 0px 20px" >|</p>
                      <p  style="margin-top: 5px">{{ portofolio.position }}</p>
                      <p  style="font-size: 20px; margin: 0px 20px 0px 20px" >|</p>
                      <p  style="margin-top: 5px">{{ portofolio.year_start }} / {{ portofolio.year_end }}</p>
                      <p  style="font-size: 20px; margin: 0px 20px 0px 20px" >|</p>
                      <q-icon name="location_on" style="font-size: 15px; margin-top: 7px"></q-icon>
                      <p style=" margin-top: 5px">{{ portofolio.project_place }}</p>
                    </div>
                  </div>



                  <template v-slot:prepend>

                    <q-icon name="event" />
                  </template>
                </q-form>

              </q-tab-panel>

              <q-tab-panel name="Referensi">
                <q-form
                  class="q-gutter-md"
                >

                  <div class="q-pa-md" style="width: 95%; padding: 0; margin-left: auto; margin-right: auto; margin-top: 30px; box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #c2c2c2" v-for="reference in product.reference" >
                    <p style="margin-bottom: 0px">.</p>
                    <h6 class="text-weight-bolder" style="margin: 0px 10px 0px 30px">{{ reference.company_name }}</h6>
                    <div class="row" style="margin: 20px 10px 10px 30px">

                    </div>
                  </div>


                </q-form>
              </q-tab-panel>

              <q-tab-panel name="Sertifikat">
                <q-form

                  class="q-gutter-md"
                >

                  <div class="q-pa-md" style="width: 95%; padding: 0; margin-left: auto; margin-right: auto; margin-top: 30px; box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #c2c2c2" v-for="certificate in product.certificate" >
                    <p style="margin-bottom: 0px">.</p>
                    <h6 class="text-weight-bolder" style="margin: 0px 10px 0px 30px"> {{  certificate.certificate_name }}</h6>
                    <div class="row" style="margin: 0px 10px 0px 30px">
                      <p  style="margin-top: 5px;">{{  certificate.certificate_number }}</p>
                      <p  style="font-size: 20px; margin: 0px 20px 0px 20px" >|</p>
                      <p  style="margin-top: 5px">{{ certificate.agency }}</p>
                      <p  style="font-size: 20px; margin: 0px 20px 0px 20px" >|</p>
                      <p  style="margin-top: 5px">{{ certificate.issue_date }}</p>
                    </div>
                    <q-btn  color="blue" label="Unduh" style="margin: 0px 30px 10px 30px; width: 100px;" />
                  </div>

                </q-form>
              </q-tab-panel>


            </q-tab-panels>
          </q-card>

        </div>
      </div>

    </div>

    <div style="margin-top: 100px">.</div>

  </div>
</template>

<script>

export default {
  name: "DetailProductFront",

  preFetch (store) {
    store.store.dispatch("product/getDetailProduct", store.currentRoute.params.id);
  },

  beforeMount() {
    if (this.$q.platform.is.desktop) {
      this.$router.push("/product/" + this.$route.params.id)
    }
  },

  data () {
    return {
      tab: 'Portofolio',

      slide: 1,

      expanded: false,
      lorem: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.'
    }
  },

  computed: {
    product() {
      let dataProduct = this.$store.getters["product/getDetailProduct"];

      if (!dataProduct.product_type) {
        dataProduct.product_type = {
          product_type: null,
        }
      }

      if (!dataProduct.product_category) {
        dataProduct.product_category = {
          category: null,
        }
      }

      return this.$store.getters["product/getDetailProduct"];
    }
  }
}

</script>


<style lang="sass" scoped>

.my-card
  width: 100%
  max-width: 350px
</style>
